import java.util.ArrayList;

public class Steuerung {

  private ArrayList<Haendler> haendler;
  
  public Steuerung() {
    this.haendler = new ArrayList<Haendler>();
    this.haendler.add(new Zwerg("Sergej"));
    this.haendler.add(new Zwerg("Anne"));
    this.haendler.add(new Zauberer("Achmed"));
    this.haendler.add(new Zocker("Laila"));
  }
  
  public void steuern() {
    EinUndAusgabe io = new EinUndAusgabe();
    io.ausgeben("Spielername: ");
    Spieler spieler = new Spieler(io.leseString());
    
    int ein = -1;
    while (ein != 0) {
      ein = spieler.handeln(this.haendler, io);
    }
  }
  
  public static void main(String[] s) {
    new Steuerung().steuern();
  }
}
