import java.util.ArrayList;

public class Steuerung {

  private ArrayList<Haendler> haendler;
  
  public Steuerung() {
    this.haendler = new ArrayList<Haendler>();
    this.haendler.add(new Zwerg("Sergej"));
    this.haendler.add(new Zwerg("Anne"));
    this.haendler.add(new Zauberer("Achmed"));
    this.haendler.add(new Zocker("Laila"));
  }
  
  public void steuern() {
    EinUndAusgabe io = new EinUndAusgabe();
    io.ausgeben("Spielername: ");
    Spieler spieler = new Spieler(io.leseString());
    
    int ein = -1;
    while (ein != 0) {
      io.ausgeben("Spieler: " + spieler + "\n");
      io.ausgeben(" (0) beenden");
      for(int i = 0; i < this.haendler.size(); i++) {
        io.ausgeben("\n (" + (i + 1) + ") handeln mit " 
            + this.haendler.get(i));
      }
      io.ausgeben("  : ");
      ein = io.leseInteger();
      if (ein > 0 && ein <= this.haendler.size()) {
        spieler.handeln(this.haendler.get(ein - 1), io);
      }
    }
  }
  
  public static void main(String[] s) {
    new Steuerung().steuern();
  }
}
