import java.util.ArrayList;
import java.util.HashSet;

public class Analyse{

    public void linienspielerei(){
        EinUndAusgabe io = new EinUndAusgabe();
        Linie l1 = new Linie(new Punkt(0,0),new Punkt(3,3));
        Linie l2 = l1;
        Linie l3 = l2.clone();
        io.ausgeben("l1==l2: "+(l1==l2)+"\n");
        io.ausgeben("l1==l3: "+(l1==l3)+"\n");
        io.ausgeben("l1.equals(l2): "+(l1.equals(l2))+"\n");
        io.ausgeben("l1.equals(l3): "+(l1.equals(l3))+"\n");
        l2.setStart(new Punkt(4,4));
        io.ausgeben("l1: "+l1+"\n");
        io.ausgeben("l2: "+l2+"\n");
        io.ausgeben("l3: "+l3+"\n");
        l3.setEnde(l2.getStart());
        l1.getStart().setY(42);
        io.ausgeben("l1: "+l1+"\n");
        io.ausgeben("l2: "+l2+"\n");
        io.ausgeben("l3: "+l3+"\n");
    }

    public void ausgeben(){
        EinUndAusgabe io = new EinUndAusgabe();
        Punkt p1 = new Punkt(0,0);
        Punkt p2 = new Punkt(0,0);
        io.ausgeben("p1: "+p1+"\n");
        io.ausgeben("p2: "+p2+"\n");
    }

    public void zuweisen(){
        EinUndAusgabe io = new EinUndAusgabe();
        Punkt p1 = new Punkt(0,0);
        Punkt p2 = p1;
        p2.setY(42);
        io.ausgeben("p1: "+p1+"\n");
        io.ausgeben("p2: "+p2+"\n");
    }

    public void zuweisen1(){
        EinUndAusgabe io = new EinUndAusgabe();
        ArrayList<Punkt> ap = new ArrayList<Punkt>();
        Punkt p1 = new Punkt(0,0);
        ap.add(p1);
        ap.add(new Punkt(0,0));
        ap.add(p1);
        io.ausgeben("Liste1: "+ap+"\n");
        p1.setX(41);
        ap.get(0).setY(42);
        io.ausgeben("Liste2: "+ap+"\n");
        io.ausgeben("p1: "+p1+"\n");
    }

    public void zuweisen2(){
        EinUndAusgabe io = new EinUndAusgabe();
        ArrayList<Punkt> ap = new ArrayList<Punkt>();
        Punkt p1 = new Punkt(0,0);
        ap.add(p1.clone());
        ap.add(new Punkt(0,0));
        ap.add(p1.clone());
        io.ausgeben("Liste1: "+ap+"\n");
        p1.setX(41);
        ap.get(0).setY(42);
        io.ausgeben("Liste2: "+ap+"\n");
        io.ausgeben("p1: "+p1+"\n");
    }

    public void zuweisen3(){
        EinUndAusgabe io = new EinUndAusgabe();
        ArrayList<Punkt> ap = new ArrayList<Punkt>();
        Punkt p1 = new Punkt(0,0);
        ap.add(new Punkt(p1));
        ap.add(new Punkt(0,0));
        ap.add(new Punkt(p1));
        io.ausgeben("Liste1: "+ap+"\n");
        p1.setX(41);
        ap.get(0).setY(42);
        io.ausgeben("Liste2: "+ap+"\n");
        io.ausgeben("p1: "+p1+"\n");
    }

    public void stringgleicheit(){
        EinUndAusgabe io = new EinUndAusgabe();
        String s1 = "Hallo";
        String s2 = "Hall";
        s2 = s2 + "o";
        io.ausgeben(s1+"=="+s2+": "+(s1==s2)+"\n");
        io.ausgeben("s1.equals(s2): "+(s1.equals(s2))+"\n");		
    }

    public void gleichUndIdentisch(){
        EinUndAusgabe io = new EinUndAusgabe();
        Punkt p1 = new Punkt(0,0);
        Punkt p2 = new Punkt(0,0);
        Punkt p3 = p1;
        io.ausgeben("p1==p2: "+(p1==p2)+"\n");
        io.ausgeben("p1==p3: "+(p1==p3)+"\n");
        io.ausgeben("p1.equals(p2): "+(p1.equals(p2))+"\n");
        io.ausgeben("p1.equals(p3): "+(p1.equals(p3))+"\n");
    }

    public void objektInListeLoeschen(){
        EinUndAusgabe io = new EinUndAusgabe();
        ArrayList<Punkt> ap = new ArrayList<Punkt>();
        Punkt p1 = new Punkt(0,0);
        ap.add(p1);
        ap.add(new Punkt(0,0));
        ap.add(p1);
        io.ausgeben("Liste1 : "+ap+"\n");
        ap.remove(new Punkt(0,0));
        io.ausgeben("Liste2 : "+ap+"\n");
        ap.remove(p1);
        io.ausgeben("Liste3 : "+ap+"\n");
    }
    
    public void klasseObjectNutzen(){
        EinUndAusgabe io = new EinUndAusgabe();
        Punkt p1 = new Punkt(1,2);
        Object o1 = p1;
        Object o2 = new Punkt(1,2);
        io.ausgeben("p1==o1: "+(p1==o1)+"\n");
        io.ausgeben("o1==p1: "+(o1==p1)+"\n");
        io.ausgeben("o1.equals(p1): "+(o1.equals(p1))+"\n");
        io.ausgeben("o1.equals(o2): "+(o1.equals(o2))+"\n");
    }

    public void objektInMengeLoeschen(){
        EinUndAusgabe io = new EinUndAusgabe();
        HashSet<Punkt> ap = new HashSet<Punkt>();
        Punkt p1 = new Punkt(0,0);
        ap.add(p1);
        ap.add(new Punkt(0,0));
        ap.add(p1);
        io.ausgeben("Menge1: "+ap+"\n");
        ap.remove(new Punkt(0,0));
        io.ausgeben("Menge2: "+ap+"\n");
        ap.remove(p1);
        io.ausgeben("Menge3: "+ap+"\n");
    }

    public void zeigeHashCode(){
        EinUndAusgabe io = new EinUndAusgabe();
        Punkt p1 = new Punkt(0,0);
        Punkt p2 = new Punkt(0,0);
        io.ausgeben("p1: "+p1.hashCode()+"\n");
        io.ausgeben("p2: "+p2.hashCode()+"\n");
    }
    
    public void kopieranalyse(){
        EinUndAusgabe io = new EinUndAusgabe();
        Linie l1 = new Linie(new Punkt(0,0), new Punkt(3,3));
        Linie l2 = new Linie(l1);
        io. ausgeben("l1 == l2: " + (l1 == l2) + "\n");
        io. ausgeben("l1.start == l2.start: " + (l1.getStart() == l2.getStart()) + "\n");
    }
    
    public void listKopieanalyse(){
        EinUndAusgabe io = new EinUndAusgabe();
        ArrayList<Linie> l1 = new ArrayList<Linie>();
        l1.add(new Linie(new Punkt(0,0), new Punkt(3,3)));
        ArrayList<Linie> l2 = (ArrayList<Linie>)l1.clone();
        io.ausgeben("l1 == l2: " + (l1 == l2) + "\n");
        io.ausgeben("l1(0) == l2(0): " + (l1.get(0) == l2.get(0)) + "\n");       
    }

    public static void main (String[] s){
        Analyse ana = new Analyse();
        ana.ausgeben();
        ana.zuweisen();
        ana.zuweisen1();
        ana.zuweisen2();
        ana.zuweisen3();
        ana.gleichUndIdentisch();
        ana.objektInListeLoeschen();
        ana.objektInMengeLoeschen();
        ana.stringgleicheit();
        ana.linienspielerei();
        ana.zeigeHashCode();
    }

}
