public class Produkt {
  private int id;
  private String titel;
  
  public Produkt(){
    this.id = 42;
    this.titel = "Dummy";
  }
  
  public Produkt(int id, String titel){
    this.id = id;
    this.titel = titel;
  }
  
  @Override
  public boolean equals(Object other){
    if (other == null || this.getClass() != other.getClass()) {
      return false;
    }
    Produkt pother = (Produkt) other;
    if (this.titel == null) {
      if(pother.getTitel() != null) {
        return false;
      }
    } else {
      if (!this.titel.equals(pother.titel)){
        return false;
      }
    }
    return (this.id == pother.id);
  }
  
  @Override
  public String toString(){
    return this.titel + "(" + this.id + ")";
  }
  
  public int getId(){
    return this.id;
  }
  
  public void setId(int id){
    this.id = id;
  }
  
  public String getTitel(){
    return this.titel;
  }
  
  public void setTitel(String titel){
    this.titel = titel;
  }
}
